Index: drivers/isdn/isdn_net.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_net.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_net.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_net.c	4 Aug 2004 01:28:56 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_net.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_net.c,v 1.2 2004/08/04 01:28:56 joff Exp $
  *
  * Linux ISDN subsystem, network interfaces and related functions (linklevel).
  *
@@ -183,7 +183,7 @@
 static void isdn_net_ciscohdlck_connected(isdn_net_local *lp);
 static void isdn_net_ciscohdlck_disconnected(isdn_net_local *lp);
 
-char *isdn_net_revision = "$Revision: 1.1 $";
+char *isdn_net_revision = "$Revision: 1.2 $";
 
  /*
   * Code for raw-networking over ISDN
@@ -1296,6 +1296,16 @@
 						restore_flags(flags);
 						return 0;	/* STN (skb to nirvana) ;) */
 					}
+#ifdef CONFIG_IPPP_FILTER
+					if (isdn_ppp_autodial_filter(skb, lp)) {
+						isdn_ppp_free(lp);
+						isdn_net_unbind_channel(lp);
+						restore_flags(flags);
+						isdn_net_unreachable(ndev, skb, "dial rejected: packet filtered");
+						dev_kfree_skb(skb);
+						return 0;
+					}
+#endif
 					restore_flags(flags);
 					isdn_net_dial();	/* Initiate dialing */
 					netif_stop_queue(ndev);
@@ -1793,9 +1803,6 @@
 {
 	isdn_net_local *lp = (isdn_net_local *) ndev->priv;
 	isdn_net_local *olp = lp;	/* original 'lp' */
-#ifdef CONFIG_ISDN_PPP
-	int proto = PPP_PROTOCOL(skb->data);
-#endif
 #ifdef CONFIG_ISDN_X25
 	struct concap_proto *cprot = lp -> netdev -> cprot;
 #endif
@@ -1855,14 +1862,7 @@
 			break;
 #ifdef CONFIG_ISDN_PPP
 		case ISDN_NET_ENCAP_SYNCPPP:
-			/*
-			 * If encapsulation is syncppp, don't reset
-			 * huptimer on LCP packets.
-			 */
-			if (proto != PPP_LCP) {
-				olp->huptimer = 0;
-				lp->huptimer = 0;
-			}
+			/* huptimer is done in isdn_ppp_push_higher */
 			isdn_ppp_receive(lp->netdev, olp, skb);
 			return;
 #endif
Index: drivers/isdn/isdn_net.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_net.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_net.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_net.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_net.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_net.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * header for Linux ISDN subsystem, network related functions (linklevel).
  *
Index: drivers/isdn/isdn_ppp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_ppp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_ppp.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_ppp.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_ppp.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_ppp.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Linux ISDN subsystem, functions for synchronous PPP (linklevel).
  *
@@ -13,6 +13,9 @@
 #include <linux/isdn.h>
 #include <linux/poll.h>
 #include <linux/ppp-comp.h>
+#ifdef CONFIG_IPPP_FILTER
+#include <linux/filter.h>
+#endif
 
 #include "isdn_common.h"
 #include "isdn_ppp.h"
@@ -69,7 +72,7 @@
 static int isdn_ppp_bundle(struct ippp_struct *, int unit);
 #endif	/* CONFIG_ISDN_MPP */
   
-char *isdn_ppp_revision = "$Revision: 1.1 $";
+char *isdn_ppp_revision = "$Revision: 1.2 $";
 
 static struct ippp_struct *ippp_table[ISDN_MAX_CHANNELS];
 
@@ -108,8 +111,8 @@
 	struct ippp_struct *is;
 
 	if (lp->ppp_slot < 0 || lp->ppp_slot > ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": ppp_slot(%d) out of range\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: ppp_slot(%d) out of range\n",
+			__FUNCTION__, lp->ppp_slot);
 		return 0;
 	}
 
@@ -128,8 +131,8 @@
 	spin_unlock(&lp->netdev->pb->lock);
 #endif /* CONFIG_ISDN_MPP */
 	if (lp->ppp_slot < 0 || lp->ppp_slot > ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": ppp_slot(%d) now invalid\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: ppp_slot(%d) now invalid\n",
+			__FUNCTION__, lp->ppp_slot);
 		restore_flags(flags);
 		return 0;
 	}
@@ -229,8 +232,8 @@
 isdn_ppp_wakeup_daemon(isdn_net_local * lp)
 {
 	if (lp->ppp_slot < 0 || lp->ppp_slot >= ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": ppp_slot(%d) out of range\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: ppp_slot(%d) out of range\n",
+			__FUNCTION__, lp->ppp_slot);
 		return;
 	}
 	ippp_table[lp->ppp_slot]->state = IPPP_OPEN | IPPP_CONNECT | IPPP_NOBLOCK;
@@ -248,8 +251,8 @@
 	struct ippp_struct *is;
 
 	if (slot < 0 || slot >= ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": slot(%d) out of range\n",
-			slot);
+		printk(KERN_ERR "%s: slot(%d) out of range\n",
+			__FUNCTION__, slot);
 		return 0;
 	}
 	is = ippp_table[slot];
@@ -324,7 +327,10 @@
 	 */
 	is->slcomp = slhc_init(16, 16);	/* not necessary for 2. link in bundle */
 #endif
-
+#ifdef CONFIG_IPPP_FILTER
+	is->pass_filter.filter = NULL;
+	is->active_filter.filter = NULL;
+#endif
 	is->state = IPPP_OPEN;
 
 	return 0;
@@ -344,7 +350,7 @@
 	is = file->private_data;
 
 	if (!is) {
-		printk(KERN_ERR __FUNCTION__": no file->private_data\n");
+		printk(KERN_ERR "%s: no file->private_data\n", __FUNCTION__);
 		return;
 	}
 	if (is->debug & 0x1)
@@ -354,7 +360,7 @@
 		isdn_net_dev *p = is->lp->netdev;
 
 		if (!p) {
-			printk(KERN_ERR __FUNCTION__": no lp->netdev\n");
+			printk(KERN_ERR "%s: no lp->netdev\n", __FUNCTION__);
 			return;
 		}
 		is->state &= ~IPPP_CONNECT;	/* -> effect: no call of wakeup */
@@ -379,6 +385,16 @@
 	slhc_free(is->slcomp);
 	is->slcomp = NULL;
 #endif
+#ifdef CONFIG_IPPP_FILTER
+	if (is->pass_filter.filter) {
+		kfree(is->pass_filter.filter);
+		is->pass_filter.filter = NULL;
+	}
+	if (is->active_filter.filter) {
+		kfree(is->active_filter.filter);
+		is->active_filter.filter = NULL;
+	}
+#endif
 
 /* TODO: if this was the previous master: link the stuff to the new master */
 	if(is->comp_stat)
@@ -588,6 +604,39 @@
 				}
 				return set_arg((void *)arg,&pci,sizeof(struct pppcallinfo));
 			}
+#ifdef CONFIG_IPPP_FILTER
+		case PPPIOCSPASS:
+		case PPPIOCSACTIVE:
+			{
+				struct sock_fprog uprog, *filtp;
+				struct sock_filter *code = NULL;
+				int len, err;
+
+				if (copy_from_user(&uprog, (void *) arg, sizeof(uprog)))
+					return -EFAULT;
+				if (uprog.len > 0 && uprog.len < 65536) {
+					len = uprog.len * sizeof(struct sock_filter);
+					code = kmalloc(len, GFP_KERNEL);
+					if (code == NULL)
+						return -ENOMEM;
+					if (copy_from_user(code, uprog.filter, len)) {
+						kfree(code);
+						return -EFAULT;
+					}
+					err = sk_chk_filter(code, uprog.len);
+					if (err) {
+						kfree(code);
+						return err;
+					}
+				}
+				filtp = (cmd == PPPIOCSPASS) ? &is->pass_filter : &is->active_filter;
+				if (filtp->filter)
+					kfree(filtp->filter);
+				filtp->filter = code;
+				filtp->len = uprog.len;
+				break;
+			}
+#endif /* CONFIG_IPPP_FILTER */
 		default:
 			break;
 	}
@@ -977,6 +1026,7 @@
 {
 	struct net_device *dev = &net_dev->dev;
  	struct ippp_struct *is, *mis;
+	isdn_net_local *mlp = NULL;
 	int slot;
 
 	slot = lp->ppp_slot;
@@ -988,7 +1038,8 @@
 	is = ippp_table[slot];
  	
  	if (lp->master) { // FIXME?
- 		slot = ((isdn_net_local *) (lp->master->priv))->ppp_slot;
+		mlp = (isdn_net_local *) lp->master->priv;
+ 		slot = mlp->ppp_slot;
  		if (slot < 0 || slot > ISDN_MAX_CHANNELS) {
  			printk(KERN_ERR "isdn_ppp_push_higher: master->ppp_slot(%d)\n",
  				lp->ppp_slot);
@@ -1026,8 +1077,8 @@
 			if (is->debug & 0x20)
 				printk(KERN_DEBUG "isdn_ppp: VJC_UNCOMP\n");
 			if (net_dev->local->ppp_slot < 0) {
-				printk(KERN_ERR __FUNCTION__": net_dev->local->ppp_slot(%d) out of range\n",
-					net_dev->local->ppp_slot);
+				printk(KERN_ERR "%s: net_dev->local->ppp_slot(%d) out of range\n",
+					__FUNCTION__, net_dev->local->ppp_slot);
 				goto drop_packet;
 			}
 			if (slhc_remember(ippp_table[net_dev->local->ppp_slot]->slcomp, skb->data, skb->len) <= 0) {
@@ -1052,8 +1103,8 @@
 				skb_put(skb, skb_old->len + 128);
 				memcpy(skb->data, skb_old->data, skb_old->len);
 				if (net_dev->local->ppp_slot < 0) {
-					printk(KERN_ERR __FUNCTION__": net_dev->local->ppp_slot(%d) out of range\n",
-						net_dev->local->ppp_slot);
+					printk(KERN_ERR "%s: net_dev->local->ppp_slot(%d) out of range\n",
+						__FUNCTION__, net_dev->local->ppp_slot);
 					goto drop_packet;
 				}
 				pkt_len = slhc_uncompress(ippp_table[net_dev->local->ppp_slot]->slcomp,
@@ -1082,9 +1133,36 @@
 			return;
 	}
 
- 	/* Reset hangup-timer */
- 	lp->huptimer = 0;
-
+#ifdef CONFIG_IPPP_FILTER
+	/* check if the packet passes the pass and active filters
+	 * the filter instructions are constructed assuming
+	 * a four-byte PPP header on each packet (which is still present) */
+	skb_push(skb, 4);
+	skb->data[0] = 0;	/* indicate inbound */
+
+	if (is->pass_filter.filter
+	    && sk_run_filter(skb, is->pass_filter.filter,
+	                    is->pass_filter.len) == 0) {
+		if (is->debug & 0x2)
+			printk(KERN_DEBUG "IPPP: inbound frame filtered.\n");
+		kfree_skb(skb);
+		return;
+	}
+	if (!(is->active_filter.filter
+	      && sk_run_filter(skb, is->active_filter.filter,
+	                       is->active_filter.len) == 0)) {
+		if (is->debug & 0x2)
+			printk(KERN_DEBUG "IPPP: link-active filter: reseting huptimer.\n");
+		lp->huptimer = 0;
+		if (mlp)
+			mlp->huptimer = 0;
+	}
+	skb_pull(skb, 4);
+#else /* CONFIG_IPPP_FILTER */
+	lp->huptimer = 0;
+	if (mlp)
+		mlp->huptimer = 0;
+#endif /* CONFIG_IPPP_FILTER */
 	skb->dev = dev;
 	skb->mac.raw = skb->data;
 	netif_rx(skb);
@@ -1121,7 +1199,6 @@
 	return skb_push(skb,len);
 }
 
-
 /*
  * send ppp frame .. we expect a PIDCOMPressable proto --
  *  (here: currently always PPP_IP,PPP_VJC_COMP,PPP_VJC_UNCOMP)
@@ -1188,7 +1265,6 @@
 		goto unlock;
 	}
 	ipt = ippp_table[slot];
-	lp->huptimer = 0;
 
 	/*
 	 * after this line .. requeueing in the device queue is no longer allowed!!!
@@ -1199,6 +1275,34 @@
 	 */
 	skb_pull(skb,IPPP_MAX_HEADER);
 
+#ifdef CONFIG_IPPP_FILTER
+	/* check if we should pass this packet
+	 * the filter instructions are constructed assuming
+	 * a four-byte PPP header on each packet */
+	skb_push(skb, 4);
+	skb->data[0] = 1;	/* indicate outbound */
+	*(u_int16_t *)(skb->data + 2) = htons(proto);
+
+	if (ipt->pass_filter.filter 
+	    && sk_run_filter(skb, ipt->pass_filter.filter,
+		             ipt->pass_filter.len) == 0) {
+		if (ipt->debug & 0x4)
+			printk(KERN_DEBUG "IPPP: outbound frame filtered.\n");
+		kfree_skb(skb);
+		goto unlock;
+	}
+	if (!(ipt->active_filter.filter
+	      && sk_run_filter(skb, ipt->active_filter.filter,
+		               ipt->active_filter.len) == 0)) {
+		if (ipt->debug & 0x4)
+			printk(KERN_DEBUG "IPPP: link-active filter: reseting huptimer.\n");
+		lp->huptimer = 0;
+	}
+	skb_pull(skb, 4);
+#else /* CONFIG_IPPP_FILTER */
+	lp->huptimer = 0;
+#endif /* CONFIG_IPPP_FILTER */
+
 	if (ipt->debug & 0x4)
 		printk(KERN_DEBUG "xmit skb, len %d\n", (int) skb->len);
         if (ipts->debug & 0x40)
@@ -1340,6 +1444,50 @@
 	return retval;
 }
 
+#ifdef CONFIG_IPPP_FILTER
+/*
+ * check if this packet may trigger auto-dial.
+ */
+
+int isdn_ppp_autodial_filter(struct sk_buff *skb, isdn_net_local *lp)
+{
+	struct ippp_struct *is = ippp_table[lp->ppp_slot];
+	u_int16_t proto;
+	int drop = 0;
+
+	switch (ntohs(skb->protocol)) {
+	case ETH_P_IP:
+		proto = PPP_IP;
+		break;
+	case ETH_P_IPX:
+		proto = PPP_IPX;
+		break;
+	default:
+		printk(KERN_ERR "isdn_ppp_autodial_filter: unsupported protocol 0x%x.\n",
+		       skb->protocol);
+		return 1;
+	}
+
+	/* the filter instructions are constructed assuming
+	 * a four-byte PPP header on each packet. we have to
+	 * temporarily remove part of the fake header stuck on
+	 * earlier.
+	 */
+	skb_pull(skb, IPPP_MAX_HEADER - 4);
+	skb->data[0] = 1;	/* indicate outbound */
+	*(u_int16_t *)(skb->data + 2) = htons(proto);
+	
+	drop |= is->pass_filter.filter
+	        && sk_run_filter(skb, is->pass_filter.filter,
+	                         is->pass_filter.len) == 0;
+	drop |= is->active_filter.filter
+	        && sk_run_filter(skb, is->active_filter.filter,
+	                         is->active_filter.len) == 0;
+	
+	skb_push(skb, IPPP_MAX_HEADER - 4);
+	return drop;
+}
+#endif
 #ifdef CONFIG_ISDN_MPP
 
 /* this is _not_ rfc1990 header, but something we convert both short and long
@@ -1392,8 +1540,8 @@
 	struct ippp_struct * is;
 
 	if (lp->ppp_slot < 0) {
-		printk(KERN_ERR __FUNCTION__": lp->ppp_slot(%d) out of range\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: lp->ppp_slot(%d) out of range\n",
+			__FUNCTION__, lp->ppp_slot);
 		return(-EINVAL);
 	}
 
@@ -1443,8 +1591,8 @@
         stats = &mp->stats;
 	slot = lp->ppp_slot;
 	if (slot < 0 || slot > ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": lp->ppp_slot(%d)\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: lp->ppp_slot(%d)\n",
+			__FUNCTION__, lp->ppp_slot);
 		stats->frame_drops++;
 		dev_kfree_skb(skb);
 		spin_unlock_irqrestore(&mp->lock, flags);
@@ -1480,8 +1628,8 @@
 	for (lpq = net_dev->queue;;) {
 		slot = lpq->ppp_slot;
 		if (slot < 0 || slot > ISDN_MAX_CHANNELS) {
-			printk(KERN_ERR __FUNCTION__": lpq->ppp_slot(%d)\n",
-				lpq->ppp_slot);
+			printk(KERN_ERR "%s: lpq->ppp_slot(%d)\n",
+				__FUNCTION__, lpq->ppp_slot);
 		} else {
 			u32 lls = ippp_table[slot]->last_link_seqno;
 			if (MP_LT(lls, minseq))
@@ -1714,8 +1862,8 @@
 	unsigned int tot_len;
 
 	if (lp->ppp_slot < 0 || lp->ppp_slot > ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": lp->ppp_slot(%d) out of range\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: lp->ppp_slot(%d) out of range\n",
+			__FUNCTION__, lp->ppp_slot);
 		return;
 	}
 	if( MP_FLAGS(from) == (MP_BEGIN_FRAG | MP_END_FRAG) ) {
@@ -2491,8 +2639,8 @@
 	printk(KERN_DEBUG "Received CCP frame from peer slot(%d)\n",
 		lp->ppp_slot);
 	if (lp->ppp_slot < 0 || lp->ppp_slot > ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": lp->ppp_slot(%d) out of range\n",
-			lp->ppp_slot);
+		printk(KERN_ERR "%s: lp->ppp_slot(%d) out of range\n",
+			__FUNCTION__, lp->ppp_slot);
 		return;
 	}
 	is = ippp_table[lp->ppp_slot];
@@ -2501,8 +2649,8 @@
 	if(lp->master) {
 		int slot = ((isdn_net_local *) (lp->master->priv))->ppp_slot;
 		if (slot < 0 || slot > ISDN_MAX_CHANNELS) {
-			printk(KERN_ERR __FUNCTION__": slot(%d) out of range\n",
-				slot);
+			printk(KERN_ERR "%s: slot(%d) out of range\n",
+				__FUNCTION__, slot);
 			return;
 		}	
 		mis = ippp_table[slot];
@@ -2665,8 +2813,8 @@
 	if(!skb || skb->len < 3)
 		return;
 	if (slot < 0 || slot > ISDN_MAX_CHANNELS) {
-		printk(KERN_ERR __FUNCTION__": lp->ppp_slot(%d) out of range\n",
-			slot);
+		printk(KERN_ERR "%s: lp->ppp_slot(%d) out of range\n",
+			__FUNCTION__, slot);
 		return;
 	}	
 	is = ippp_table[slot];
@@ -2688,8 +2836,8 @@
 	if (lp->master) {
 		slot = ((isdn_net_local *) (lp->master->priv))->ppp_slot;
 		if (slot < 0 || slot > ISDN_MAX_CHANNELS) {
-			printk(KERN_ERR __FUNCTION__": slot(%d) out of range\n",
-				slot);
+			printk(KERN_ERR "%s: slot(%d) out of range\n",
+				__FUNCTION__, slot);
 			return;
 		}	
 		mis = ippp_table[slot];
Index: drivers/isdn/isdn_ppp.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_ppp.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_ppp.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_ppp.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_ppp.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_ppp.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * header for Linux ISDN subsystem, functions for synchronous PPP (linklevel).
  *
@@ -19,6 +19,7 @@
 extern void isdn_ppp_cleanup(void);
 extern int isdn_ppp_free(isdn_net_local *);
 extern int isdn_ppp_bind(isdn_net_local *);
+extern int isdn_ppp_autodial_filter(struct sk_buff *, isdn_net_local *);
 extern int isdn_ppp_xmit(struct sk_buff *, struct net_device *);
 extern void isdn_ppp_receive(isdn_net_dev *, isdn_net_local *, struct sk_buff *);
 extern int isdn_ppp_dev_ioctl(struct net_device *, struct ifreq *, int);
Index: drivers/isdn/isdn_tty.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_tty.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_tty.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_tty.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_tty.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_tty.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Linux ISDN subsystem, tty functions and AT-command emulator (linklevel).
  *
@@ -53,7 +53,7 @@
 static int si2bit[8] =
 {4, 1, 4, 4, 4, 4, 4, 4};
 
-char *isdn_tty_revision = "$Revision: 1.1 $";
+char *isdn_tty_revision = "$Revision: 1.2 $";
 
 
 /* isdn_tty_try_read() is called from within isdn_tty_rcv_skb()
Index: drivers/isdn/isdn_tty.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_tty.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_tty.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_tty.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_tty.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_tty.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * header for Linux ISDN subsystem, tty related functions (linklevel).
  *
Index: drivers/isdn/isdn_ttyfax.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_ttyfax.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_ttyfax.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_ttyfax.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_ttyfax.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_ttyfax.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Linux ISDN subsystem, tty_fax AT-command emulator (linklevel).
  *
@@ -20,7 +20,7 @@
 #include "isdn_ttyfax.h"
 
 
-static char *isdn_tty_fax_revision = "$Revision: 1.1 $";
+static char *isdn_tty_fax_revision = "$Revision: 1.2 $";
 
 #define PARSE_ERROR1 { isdn_tty_fax_modem_result(1, info); return 1; }
 
Index: drivers/isdn/isdn_ttyfax.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_ttyfax.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_ttyfax.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_ttyfax.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_ttyfax.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_ttyfax.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * header for Linux ISDN subsystem, tty_fax related functions (linklevel).
  *
Index: drivers/isdn/isdn_v110.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_v110.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_v110.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_v110.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_v110.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_v110.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Linux ISDN subsystem, V.110 related functions (linklevel).
  *
@@ -19,7 +19,7 @@
 
 #undef ISDN_V110_DEBUG
 
-char *isdn_v110_revision = "$Revision: 1.1 $";
+char *isdn_v110_revision = "$Revision: 1.2 $";
 
 #define V110_38400 255
 #define V110_19200  15
Index: drivers/isdn/isdn_v110.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_v110.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_v110.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_v110.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_v110.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_v110.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Linux ISDN subsystem, V.110 related functions (linklevel).
  *
Index: drivers/isdn/isdn_x25iface.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_x25iface.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_x25iface.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_x25iface.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_x25iface.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_x25iface.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Linux ISDN subsystem, X.25 related functions
  *
Index: drivers/isdn/isdn_x25iface.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/isdn_x25iface.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/isdn_x25iface.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/isdn_x25iface.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdn_x25iface.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: isdn_x25iface.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * header for Linux ISDN subsystem, x.25 related functions
  *
Index: drivers/isdn/act2000/act2000.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/act2000/act2000.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/act2000/act2000.h	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/act2000/act2000.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: act2000.h,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: act2000.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN lowlevel-module for the IBM ISDN-S0 Active 2000.
  *
Index: drivers/isdn/act2000/act2000_isa.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/act2000/act2000_isa.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/act2000/act2000_isa.c	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/act2000/act2000_isa.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: act2000_isa.c,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: act2000_isa.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN lowlevel-module for the IBM ISDN-S0 Active 2000 (ISA-Version).
  *
Index: drivers/isdn/act2000/act2000_isa.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/act2000/act2000_isa.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/act2000/act2000_isa.h	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/act2000/act2000_isa.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: act2000_isa.h,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: act2000_isa.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN lowlevel-module for the IBM ISDN-S0 Active 2000 (ISA-Version).
  *
Index: drivers/isdn/act2000/capi.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/act2000/capi.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/act2000/capi.c	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/act2000/capi.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capi.c,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: capi.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN lowlevel-module for the IBM ISDN-S0 Active 2000.
  * CAPI encoder/decoder
Index: drivers/isdn/act2000/capi.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/act2000/capi.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/act2000/capi.h	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/act2000/capi.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capi.h,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: capi.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN lowlevel-module for the IBM ISDN-S0 Active 2000.
  *
Index: drivers/isdn/act2000/module.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/act2000/module.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/act2000/module.c	22 Jul 2004 19:49:58 -0000	1.1
+++ drivers/isdn/act2000/module.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: module.c,v 1.1 2004/07/22 19:49:58 joff Exp $
+/* $Id: module.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * ISDN lowlevel-module for the IBM ISDN-S0 Active 2000.
  *
Index: drivers/isdn/avmb1/avm_cs.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/avm_cs.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/avm_cs.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/avm_cs.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: avm_cs.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: avm_cs.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * A PCMCIA client driver for AVM B1/M1/M2
  *
Index: drivers/isdn/avmb1/avmcard.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/avmcard.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/avmcard.h	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/avmcard.h	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: avmcard.h,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: avmcard.h,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * Copyright 1999 by Carsten Paeth <calle@calle.de>
  *
Index: drivers/isdn/avmb1/b1.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/b1.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/b1.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/b1.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: b1.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: b1.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Common module for AVM B1 cards.
  * 
@@ -27,7 +27,7 @@
 #include "capicmd.h"
 #include "capiutil.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
Index: drivers/isdn/avmb1/b1dma.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/b1dma.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/b1dma.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/b1dma.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: b1dma.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: b1dma.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Common module for AVM B1 cards that support dma with AMCC
  * 
@@ -28,7 +28,7 @@
 #include "capicmd.h"
 #include "capiutil.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
Index: drivers/isdn/avmb1/b1isa.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/b1isa.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/b1isa.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/b1isa.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: b1isa.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: b1isa.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Module for AVM B1 ISA-card.
  * 
@@ -24,7 +24,7 @@
 #include "capilli.h"
 #include "avmcard.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
Index: drivers/isdn/avmb1/b1pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/b1pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/b1pci.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/b1pci.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: b1pci.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: b1pci.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Module for AVM B1 PCI-card.
  * 
@@ -26,7 +26,7 @@
 #include "capilli.h"
 #include "avmcard.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
Index: drivers/isdn/avmb1/b1pcmcia.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/b1pcmcia.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/b1pcmcia.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/b1pcmcia.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: b1pcmcia.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: b1pcmcia.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Module for AVM B1/M1/M2 PCMCIA-card.
  * 
@@ -25,7 +25,7 @@
 #include "capilli.h"
 #include "avmcard.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 /* ------------------------------------------------------------- */
 
Index: drivers/isdn/avmb1/c4.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/c4.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/c4.c	22 Jul 2004 19:49:55 -0000	1.1
+++ drivers/isdn/avmb1/c4.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: c4.c,v 1.1 2004/07/22 19:49:55 joff Exp $
+/* $Id: c4.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  * 
  * Module for AVM C4 & C2 card.
  * 
@@ -29,7 +29,7 @@
 #include "capilli.h"
 #include "avmcard.h"
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 #undef CONFIG_C4_DEBUG
 #undef CONFIG_C4_POLLDEBUG
Index: drivers/isdn/avmb1/capi.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/avmb1/capi.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/avmb1/capi.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/avmb1/capi.c	4 Aug 2004 01:28:57 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: capi.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: capi.c,v 1.2 2004/08/04 01:28:57 joff Exp $
  *
  * CAPI 2.0 Interface for Linux
  *
@@ -45,7 +45,7 @@
 #include "capifs.h"
 #endif
 
-static char *revision = "$Revision: 1.1 $";
+static char *revision = "$Revision: 1.2 $";
 
 MODULE_DESCRIPTION("CAPI4Linux: Userspace /dev/capi20 interface");
 MODULE_AUTHOR("Carsten Paeth");
